### Property

# Gtk ProgressBar:show-text

since: 4.0

#### Declaration

    property show-text: gboolean [ read, write ]

#### Description [src]

Sets whether the progress bar will show a text in addition to the bar itself.

The shown text is either the value of the `GtkProgressBar:text` property or, if that is `NULL`, the `GtkProgressBar:fraction` value, as a percentage.

To make a progress bar that is styled and sized suitably for showing text (even if the actual text is blank), set `GtkProgressBar:show-text` to `TRUE` and `GtkProgressBar:text` to the empty string (not `NULL`).

Type: | `gboolean`
Available since: | 4.0

Default value | FALSE
Getter method | `gtk_progress_bar_get_show_text()`
Setter method | `gtk_progress_bar_set_show_text()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no